QGIS Application - Bug report #17724
Crash on clicking ADD in Virtual Layer dialogue without defining a layer
2017-12-19 05:55 PM - Ross McDonald

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: Data Source Manager

Affected QGIS version:master Regression?: Yes

Operating System: Windows 7 enterprise 64 bit Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 25620
Description

In latest master (19/12/2017) QGIS crashes if | click the Add button on the dialogue box without defining a virtual layer. In other Add Data
dialogues the Add button is disabled until a layer is selected.

Associated revisions

Revision 385d0ef9 - 2017-12-21 06:19 PM - Alessandro Pasotti

[bugfix] Fix crash in virtual layers dig when adding

Fixes #17724 Crash on clicking ADD in Virtual Layer
dialogue without defining a layer

A proper implementation should handle the Add button
state when a virtual layer definition is available.

History

#1 - 2017-12-19 06:01 PM - Harrissou Santanna
- Regression? changed from No to Yes
- Priority changed from Normal to High

| can confirm. It was reported in #17489 (and was fixed !?)

cc @elpaso

#2 - 2017-12-21 05:42 PM - Alessandro Pasotti
- Assignee set to Alessandro Pasotti
#3 - 2017-12-22 08:11 AM - Anonymous

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|385d0ef94b501e6d30da7fe0de6913c78451ad48.

#4 - 2018-02-22 11:41 AM - Giovanni Manghi
- Resolution set to fixed/implemented

2024-04-28 12




Files

qgis_virtual_layer_crash_report.txt 4.21 KB 2017-12-19 Ross McDonald

2024-04-28 22



